## 目录结构

- `./main.go`: 基于 `fabric-sdk-go` 的一个参考示例, 更多SDK使用方法请参考[官方文档](https://github.com/hyperledger/fabric-sdk-go);
- `./fabric-cli.go`: 基于 `fabric-sdk-go` 的一个命令行工具，使用示例可以参考 `./fabric-cli.md`，详细的说明请[参考](https://github.com/securekey/fabric-examples/tree/master/fabric-cli/)
- `./vendor/github.com/hyperledger/fabric-sdk-go`: fabric-sdk-go 源代码;
- `./vendor/**/*`：其他fabric-sdk-go依赖的包;

## 安全提示

请务必妥善保管您的私钥， 私钥存放路径为 `connection-profile.yaml` 配置文件中的:

```yaml
client:
    ...
    credentialsStore:
        crytoStore:
            path: 私钥路径
```

## main.go

`main.go` 将会演示如下操作：

1. Enroll 用户证书到本地，如果用户证书已经存在则跳过
2. 获取通道配置(Channel Config)信息并输出
3. 获取通道信息(Channel Info)并输出
4. Query 智能合约
5. Invoke 智能合约
6. 再次Query智能合约，确认 Invoke 成功
